> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Exported Keys

> This operation returns information about foreign keys referenced by a table's primary keys.




## OpenAPI

````yaml en/API/REST-API-Embedded.yaml GET /exportedKeys
openapi: 3.1.0
info:
  title: CData Connect AI REST API Embedded
  version: v1
servers:
  - url: https://cloud.cdata.com/api
    description: Production base URL
security:
  - BearerAuth: []
paths:
  /exportedKeys:
    get:
      tags:
        - Metadata
      summary: List Exported Keys
      description: >
        This operation returns information about foreign keys referenced by a
        table's primary keys.
      parameters:
        - name: catalogName
          description: Restricts results to the specified catalog.
          in: query
          schema:
            type: string
        - name: schemaName
          description: Restricts results to the specified schema.
          in: query
          schema:
            type: string
        - name: tableName
          description: Restricts results to the specified table.
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QueryResult'
components:
  schemas:
    QueryResult:
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/ResultSet'
          nullable: true
        error:
          $ref: '#/components/schemas/ErrorDetail'
      additionalProperties: false
    ResultSet:
      type: object
      properties:
        affectedRows:
          type: integer
          format: int32
          description: The number of rows affected by the query, or -1 if not applicable.
        schema:
          type: array
          items:
            $ref: '#/components/schemas/ColumnInfo'
          nullable: true
        rows:
          type: array
          items:
            type: array
            items: {}
          nullable: true
      additionalProperties: false
    ErrorDetail:
      type: object
      properties:
        code:
          $ref: '#/components/schemas/ErrorCode'
        message:
          type: string
          nullable: true
          description: The error message.
      additionalProperties: false
    ColumnInfo:
      type: object
      properties:
        catalogName:
          type: string
          nullable: true
          description: The name of the catalog containing the column.
        columnLabel:
          type: string
          nullable: true
          description: The label of the column.
        columnName:
          type: string
          nullable: true
          description: The name of the column.
        dataType:
          $ref: '#/components/schemas/DataType'
        dataTypeName:
          type: string
          nullable: true
          description: The data type name of the column.
        length:
          type: integer
          format: int32
          description: The length of the column.
        nullable:
          type: boolean
          description: Whether the column is nullable.
        ordinal:
          type: integer
          format: int32
          description: The ordinal position of the column.
        precision:
          type: integer
          format: int32
          nullable: true
          description: The precision of the column.
        scale:
          type: integer
          format: int32
          nullable: true
          description: The scale of the column.
        schemaName:
          type: string
          nullable: true
          description: The name of the schema containing the column.
        tableName:
          type: string
          nullable: true
          description: The name of the table containing the column.
      additionalProperties: false
    ErrorCode:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
        - 19
        - 20
        - 21
        - 22
        - 23
        - 24
        - 25
        - 26
        - 27
        - 28
        - 29
        - 30
        - 31
        - 32
        - 33
        - 34
        - 35
        - 36
        - 37
        - 38
        - 39
        - 40
        - 41
        - 42
        - 43
        - 44
        - 45
        - 46
        - 47
        - 48
        - 49
        - 50
        - 51
        - 52
        - 53
        - 54
        - 55
        - 56
        - 57
        - 58
        - 59
        - 60
        - 61
        - 62
        - 63
        - 64
        - 65
        - 66
        - 67
        - 68
        - 69
        - 70
        - 71
        - 72
        - 73
        - 74
        - 75
        - 76
        - 77
        - 78
        - 79
      type: integer
      format: int32
    DataType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
      type: integer
      description: The parameter's [data type](/en/API/REST-API#data-types).
      format: int32
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT token authentication. Include the token in the Authorization header
        as `Bearer {token}`. See
        [Authentication](/en/API/Authentication-Embedded) for more information
        on creating a token.

````